View Issue Details

IDProjectCategoryView StatusLast Update
0006598mantisbtemailpublic2007-05-10 05:13
ReporterOliverBee Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Summary0006598: Wrong email notifications are sent if a new issue is immediately assigned !
Description

If a new issue is added it will always be sent as notification "a new issue has been added" but this is not sufficient for the following two cases:

1) a category with auto-assign is chosen
2) the reporter choses a developer to handle the new issue

In this cases the email must be sent also as notification "an issue has been assigned" because the developer may disabled the option to receive notifications on new issues. But if he enables the option to receive notifications on assigned issues he also must receive auto-assigned issues.

Maybe the text in mail should be something like "a new issues has been assigned" to underline the fact that two status changes are made.

TagsNo tags attached.

Relationships

related to 0003588 new Handler may not be emailed when a reported bug is immediately assigned 
related to 0006640 closeddhx No email sent when issue assigned through change status 
related to 0006883 new Email notification during change status with assign 
related to 0007279 acknowledged No email assign notification when bug is immediately assigned 

Activities

OliverBee

OliverBee

2006-01-17 10:26

reporter   ~0011950

Wrong severity, should be major! Hope this will be resolved in Mantis 1.1.0

OliverBee

OliverBee

2006-09-30 09:45

reporter   ~0013559

Why isn't this fixed with the solution in 0003588 yet? This would totally fit my needs here. Is there any reason why not putting this in the next release/patch?

I think the only slightly different problem related with this bug is 0006640, all other bugs could have been fixed, too?

Issue History

Date Modified Username Field Change
2006-01-17 10:24 OliverBee New Issue
2006-01-17 10:26 OliverBee Note Added: 0011950
2006-01-17 20:50 thraxisp Severity crash => major
2006-07-26 08:58 ryandesign Relationship added related to 0007279
2006-07-26 09:07 ryandesign Relationship added related to 0003588
2006-07-26 09:07 ryandesign Relationship added related to 0006640
2006-07-26 09:08 ryandesign Relationship added related to 0006883
2006-09-30 09:45 OliverBee Note Added: 0013559